--- plpython.sgml	2009-12-19 23:23:21.000000000 +0100
+++ plpython-new.sgml	2010-01-31 13:17:20.000000000 +0100
@@ -693,6 +693,41 @@
   </para>
  </sect1>
 
+ <sect1 id="plpython-database">
+  <title>Limitations and Work-arounds</title>
+
+   <itemizedlist>
+    <listitem>
+    <para>
+    The result of <function>execute()</function> on a <command>SELECT</command>
+    is a list of dictionary-like objects whose values corresponding to simple
+    database types are of the corresponding Python type.  Unfortunately
+    however, values corresponding to composite types are returned as string
+    representations of the composite value.
+    That is, <application>PL/Python</application> flattens all composite type
+    values to strings.
+    </para>
+    <para>
+    Work-arounds: (1) Do a <command>SELECT</command> whose result is the
+    values of the composite entry. (2) Parse up the result strings.
+    </para>
+    </listitem>
+
+    <listitem>
+    <para>
+    <application>PL/Python</application> functions cannot return either type
+    <type>RECORD</type> or <type>SETOF RECORD</type>.
+    </para>
+    <para>
+    One work-around is to write a <application>PL/pgSQL</application> function
+    that creates a temporary table, have it call the
+    <application>PL/Python</application> function to fill the table,
+    then have function <application>PL/pgSQL</application> function return the
+    generic <type>RECORD</type> from the temporary table.
+    </para>
+    </listitem>
+   </itemizedlist>
+ </sect1>
 <![IGNORE[
  <!-- NOT CURRENTLY SUPPORTED -->
 
